<?php
/**
 * File for class DLParserStructArrayOfComplementaryService
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructArrayOfComplementaryService originally named ArrayOfComplementaryService
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructArrayOfComplementaryService extends DLParserWsdlClass
{
	/**
	 * The ComplementaryService
	 * Meta informations extracted from the WSDL
	 * - maxOccurs : unbounded
	 * - minOccurs : 0
	 * - nillable : true
	 * @var DLParserStructComplementaryService
	 */
	public $ComplementaryService;
	/**
	 * Constructor method for ArrayOfComplementaryService
	 * @see parent::__construct()
	 * @param DLParserStructComplementaryService $_complementaryService
	 * @return DLParserStructArrayOfComplementaryService
	 */
	public function __construct($_complementaryService = NULL)
	{
		parent::__construct(array('ComplementaryService'=>$_complementaryService));
	}
	/**
	 * Get ComplementaryService value
	 * @return DLParserStructComplementaryService|null
	 */
	public function getComplementaryService()
	{
		return $this->ComplementaryService;
	}
	/**
	 * Set ComplementaryService value
	 * @param DLParserStructComplementaryService $_complementaryService the ComplementaryService
	 * @return DLParserStructComplementaryService
	 */
	public function setComplementaryService($_complementaryService)
	{
		return ($this->ComplementaryService = $_complementaryService);
	}
	/**
	 * Returns the current element
	 * @see DLParserWsdlClass::current()
	 * @return DLParserStructComplementaryService
	 */
	public function current()
	{
		return parent::current();
	}
	/**
	 * Returns the indexed element
	 * @see DLParserWsdlClass::item()
	 * @param int $_index
	 * @return DLParserStructComplementaryService
	 */
	public function item($_index)
	{
		return parent::item($_index);
	}
	/**
	 * Returns the first element
	 * @see DLParserWsdlClass::first()
	 * @return DLParserStructComplementaryService
	 */
	public function first()
	{
		return parent::first();
	}
	/**
	 * Returns the last element
	 * @see DLParserWsdlClass::last()
	 * @return DLParserStructComplementaryService
	 */
	public function last()
	{
		return parent::last();
	}
	/**
	 * Returns the element at the offset
	 * @see DLParserWsdlClass::last()
	 * @param int $_offset
	 * @return DLParserStructComplementaryService
	 */
	public function offsetGet($_offset)
	{
		return parent::offsetGet($_offset);
	}
	/**
	 * Returns the attribute name
	 * @see DLParserWsdlClass::getAttributeName()
	 * @return string ComplementaryService
	 */
	public function getAttributeName()
	{
		return 'ComplementaryService';
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructArrayOfComplementaryService
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>