<?php
/**
 * File for class DLParserStructEcho
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructEcho originally named Echo
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructEcho extends DLParserWsdlClass
{
	/**
	 * The base64AsciiEncodedString
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $base64AsciiEncodedString;
	/**
	 * Constructor method for Echo
	 * @see parent::__construct()
	 * @param string $_base64AsciiEncodedString
	 * @return DLParserStructEcho
	 */
	public function __construct($_base64AsciiEncodedString = NULL)
	{
		parent::__construct(array('base64AsciiEncodedString'=>$_base64AsciiEncodedString));
	}
	/**
	 * Get base64AsciiEncodedString value
	 * @return string|null
	 */
	public function getBase64AsciiEncodedString()
	{
		return $this->base64AsciiEncodedString;
	}
	/**
	 * Set base64AsciiEncodedString value
	 * @param string $_base64AsciiEncodedString the base64AsciiEncodedString
	 * @return string
	 */
	public function setBase64AsciiEncodedString($_base64AsciiEncodedString)
	{
		return ($this->base64AsciiEncodedString = $_base64AsciiEncodedString);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructEcho
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>