<?php
/**
 * File for class DLParserStructEchoResponse
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructEchoResponse originally named EchoResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructEchoResponse extends DLParserWsdlClass
{
	/**
	 * The EchoResult
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $EchoResult;
	/**
	 * Constructor method for EchoResponse
	 * @see parent::__construct()
	 * @param string $_echoResult
	 * @return DLParserStructEchoResponse
	 */
	public function __construct($_echoResult = NULL)
	{
		parent::__construct(array('EchoResult'=>$_echoResult));
	}
	/**
	 * Get EchoResult value
	 * @return string|null
	 */
	public function getEchoResult()
	{
		return $this->EchoResult;
	}
	/**
	 * Set EchoResult value
	 * @param string $_echoResult the EchoResult
	 * @return string
	 */
	public function setEchoResult($_echoResult)
	{
		return ($this->EchoResult = $_echoResult);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructEchoResponse
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>