<?php
/**
 * File for class DLParserStructParseBase64AsciiStringResponse
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructParseBase64AsciiStringResponse originally named ParseBase64AsciiStringResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructParseBase64AsciiStringResponse extends DLParserWsdlClass
{
	/**
	 * The ParseBase64AsciiStringResult
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var DLParserStructResponse
	 */
	public $ParseBase64AsciiStringResult;
	/**
	 * Constructor method for ParseBase64AsciiStringResponse
	 * @see parent::__construct()
	 * @param DLParserStructResponse $_parseBase64AsciiStringResult
	 * @return DLParserStructParseBase64AsciiStringResponse
	 */
	public function __construct($_parseBase64AsciiStringResult = NULL)
	{
		parent::__construct(array('ParseBase64AsciiStringResult'=>$_parseBase64AsciiStringResult));
	}
	/**
	 * Get ParseBase64AsciiStringResult value
	 * @return DLParserStructResponse|null
	 */
	public function getParseBase64AsciiStringResult()
	{
		return $this->ParseBase64AsciiStringResult;
	}
	/**
	 * Set ParseBase64AsciiStringResult value
	 * @param DLParserStructResponse $_parseBase64AsciiStringResult the ParseBase64AsciiStringResult
	 * @return DLParserStructResponse
	 */
	public function setParseBase64AsciiStringResult($_parseBase64AsciiStringResult)
	{
		return ($this->ParseBase64AsciiStringResult = $_parseBase64AsciiStringResult);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructParseBase64AsciiStringResponse
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>