<?php
/**
 * File for class DLParserStructParseBase64BinaryResponse
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructParseBase64BinaryResponse originally named ParseBase64BinaryResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructParseBase64BinaryResponse extends DLParserWsdlClass
{
	/**
	 * The ParseBase64BinaryResult
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var DLParserStructResponse
	 */
	public $ParseBase64BinaryResult;
	/**
	 * Constructor method for ParseBase64BinaryResponse
	 * @see parent::__construct()
	 * @param DLParserStructResponse $_parseBase64BinaryResult
	 * @return DLParserStructParseBase64BinaryResponse
	 */
	public function __construct($_parseBase64BinaryResult = NULL)
	{
		parent::__construct(array('ParseBase64BinaryResult'=>$_parseBase64BinaryResult));
	}
	/**
	 * Get ParseBase64BinaryResult value
	 * @return DLParserStructResponse|null
	 */
	public function getParseBase64BinaryResult()
	{
		return $this->ParseBase64BinaryResult;
	}
	/**
	 * Set ParseBase64BinaryResult value
	 * @param DLParserStructResponse $_parseBase64BinaryResult the ParseBase64BinaryResult
	 * @return DLParserStructResponse
	 */
	public function setParseBase64BinaryResult($_parseBase64BinaryResult)
	{
		return ($this->ParseBase64BinaryResult = $_parseBase64BinaryResult);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructParseBase64BinaryResponse
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>