<?php
/**
 * File for class DLParserStructParseBase64Utf16StringResponse
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructParseBase64Utf16StringResponse originally named ParseBase64Utf16StringResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructParseBase64Utf16StringResponse extends DLParserWsdlClass
{
	/**
	 * The ParseBase64Utf16StringResult
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var DLParserStructResponse
	 */
	public $ParseBase64Utf16StringResult;
	/**
	 * Constructor method for ParseBase64Utf16StringResponse
	 * @see parent::__construct()
	 * @param DLParserStructResponse $_parseBase64Utf16StringResult
	 * @return DLParserStructParseBase64Utf16StringResponse
	 */
	public function __construct($_parseBase64Utf16StringResult = NULL)
	{
		parent::__construct(array('ParseBase64Utf16StringResult'=>$_parseBase64Utf16StringResult));
	}
	/**
	 * Get ParseBase64Utf16StringResult value
	 * @return DLParserStructResponse|null
	 */
	public function getParseBase64Utf16StringResult()
	{
		return $this->ParseBase64Utf16StringResult;
	}
	/**
	 * Set ParseBase64Utf16StringResult value
	 * @param DLParserStructResponse $_parseBase64Utf16StringResult the ParseBase64Utf16StringResult
	 * @return DLParserStructResponse
	 */
	public function setParseBase64Utf16StringResult($_parseBase64Utf16StringResult)
	{
		return ($this->ParseBase64Utf16StringResult = $_parseBase64Utf16StringResult);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructParseBase64Utf16StringResponse
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>