<?php
/**
 * File for class DLParserStructParseStringResponse
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructParseStringResponse originally named ParseStringResponse
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructParseStringResponse extends DLParserWsdlClass
{
	/**
	 * The ParseStringResult
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var DLParserStructResponse
	 */
	public $ParseStringResult;
	/**
	 * Constructor method for ParseStringResponse
	 * @see parent::__construct()
	 * @param DLParserStructResponse $_parseStringResult
	 * @return DLParserStructParseStringResponse
	 */
	public function __construct($_parseStringResult = NULL)
	{
		parent::__construct(array('ParseStringResult'=>$_parseStringResult));
	}
	/**
	 * Get ParseStringResult value
	 * @return DLParserStructResponse|null
	 */
	public function getParseStringResult()
	{
		return $this->ParseStringResult;
	}
	/**
	 * Set ParseStringResult value
	 * @param DLParserStructResponse $_parseStringResult the ParseStringResult
	 * @return DLParserStructResponse
	 */
	public function setParseStringResult($_parseStringResult)
	{
		return ($this->ParseStringResult = $_parseStringResult);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructParseStringResponse
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>