<?php
/**
 * File for class DLParserStructParseString
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructParseString originally named ParseString
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructParseString extends DLParserWsdlClass
{
	/**
	 * The authKey
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $authKey;
	/**
	 * The licenseText
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $licenseText;
	/**
	 * The terminalId
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var short
	 */
	public $terminalId;
	/**
	 * Constructor method for ParseString
	 * @see parent::__construct()
	 * @param string $_authKey
	 * @param string $_licenseText
	 * @param short $_terminalId
	 * @return DLParserStructParseString
	 */
	public function __construct($_authKey = NULL,$_licenseText = NULL,$_terminalId = NULL)
	{
		parent::__construct(array('authKey'=>$_authKey,'licenseText'=>$_licenseText,'terminalId'=>$_terminalId));
	}
	/**
	 * Get authKey value
	 * @return string|null
	 */
	public function getAuthKey()
	{
		return $this->authKey;
	}
	/**
	 * Set authKey value
	 * @param string $_authKey the authKey
	 * @return string
	 */
	public function setAuthKey($_authKey)
	{
		return ($this->authKey = $_authKey);
	}
	/**
	 * Get licenseText value
	 * @return string|null
	 */
	public function getLicenseText()
	{
		return $this->licenseText;
	}
	/**
	 * Set licenseText value
	 * @param string $_licenseText the licenseText
	 * @return string
	 */
	public function setLicenseText($_licenseText)
	{
		return ($this->licenseText = $_licenseText);
	}
	/**
	 * Get terminalId value
	 * @return short|null
	 */
	public function getTerminalId()
	{
		return $this->terminalId;
	}
	/**
	 * Set terminalId value
	 * @param short $_terminalId the terminalId
	 * @return short
	 */
	public function setTerminalId($_terminalId)
	{
		return ($this->terminalId = $_terminalId);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructParseString
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>