<?php
/**
 * File for class DLParserStructComplementaryService
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructComplementaryService originally named ComplementaryService
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructComplementaryService extends DLParserWsdlClass
{
	/**
	 * The Message
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $Message;
	/**
	 * The Name
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $Name;
	/**
	 * Constructor method for ComplementaryService
	 * @see parent::__construct()
	 * @param string $_message
	 * @param string $_name
	 * @return DLParserStructComplementaryService
	 */
	public function __construct($_message = NULL,$_name = NULL)
	{
		parent::__construct(array('Message'=>$_message,'Name'=>$_name));
	}
	/**
	 * Get Message value
	 * @return string|null
	 */
	public function getMessage()
	{
		return $this->Message;
	}
	/**
	 * Set Message value
	 * @param string $_message the Message
	 * @return string
	 */
	public function setMessage($_message)
	{
		return ($this->Message = $_message);
	}
	/**
	 * Get Name value
	 * @return string|null
	 */
	public function getName()
	{
		return $this->Name;
	}
	/**
	 * Set Name value
	 * @param string $_name the Name
	 * @return string
	 */
	public function setName($_name)
	{
		return ($this->Name = $_name);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructComplementaryService
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>