<?php
/**
 * File for class DLParserStructDriverLicense
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
/**
 * This class stands for DLParserStructDriverLicense originally named DriverLicense
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://app.idware.net/dlp-ws/DriverLicenseParser.svc?xsd=xsd0}
 * @package DLParser
 * @subpackage Structs
 * @author Mikaël DELSOL <contact@wsdltophp.com>
 * @version 20131013-01
 * @date 2013-11-02
 */
class DLParserStructDriverLicense extends DLParserWsdlClass
{
	/**
	 * The Address1
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $Address1;
	/**
	 * The Address2
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $Address2;
	/**
	 * The Birthdate
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var dateTime
	 */
	public $Birthdate;
	/**
	 * The City
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $City;
	/**
	 * The ClassificationCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $ClassificationCode;
	/**
	 * The Country
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $Country;
	/**
	 * The CountryCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $CountryCode;
	/**
	 * The EndorsementsCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $EndorsementsCode;
	/**
	 * The ExpirationDate
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var dateTime
	 */
	public $ExpirationDate;
	/**
	 * The EyeColor
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $EyeColor;
	/**
	 * The FirstName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $FirstName;
	/**
	 * The FullName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $FullName;
	/**
	 * The Gender
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $Gender;
	/**
	 * The HairColor
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $HairColor;
	/**
	 * The Height
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $Height;
	/**
	 * The IIN
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $IIN;
	/**
	 * The IssueDate
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var dateTime
	 */
	public $IssueDate;
	/**
	 * The IssuedBy
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $IssuedBy;
	/**
	 * The JurisdictionCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $JurisdictionCode;
	/**
	 * The LastName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $LastName;
	/**
	 * The LicenseNumber
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $LicenseNumber;
	/**
	 * The MiddleName
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $MiddleName;
	/**
	 * The NamePrefix
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $NamePrefix;
	/**
	 * The NameSuffix
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $NameSuffix;
	/**
	 * The PostalCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $PostalCode;
	/**
	 * The Race
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $Race;
	/**
	 * The RestrictionCode
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $RestrictionCode;
	/**
	 * The WeightKG
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $WeightKG;
	/**
	 * The WeightLBS
	 * Meta informations extracted from the WSDL
	 * - minOccurs : 0
	 * - nillable : true
	 * @var string
	 */
	public $WeightLBS;
	/**
	 * Constructor method for DriverLicense
	 * @see parent::__construct()
	 * @param string $_address1
	 * @param string $_address2
	 * @param dateTime $_birthdate
	 * @param string $_city
	 * @param string $_classificationCode
	 * @param string $_country
	 * @param string $_countryCode
	 * @param string $_endorsementsCode
	 * @param dateTime $_expirationDate
	 * @param string $_eyeColor
	 * @param string $_firstName
	 * @param string $_fullName
	 * @param string $_gender
	 * @param string $_hairColor
	 * @param string $_height
	 * @param string $_iIN
	 * @param dateTime $_issueDate
	 * @param string $_issuedBy
	 * @param string $_jurisdictionCode
	 * @param string $_lastName
	 * @param string $_licenseNumber
	 * @param string $_middleName
	 * @param string $_namePrefix
	 * @param string $_nameSuffix
	 * @param string $_postalCode
	 * @param string $_race
	 * @param string $_restrictionCode
	 * @param string $_weightKG
	 * @param string $_weightLBS
	 * @return DLParserStructDriverLicense
	 */
	public function __construct($_address1 = NULL,$_address2 = NULL,$_birthdate = NULL,$_city = NULL,$_classificationCode = NULL,$_country = NULL,$_countryCode = NULL,$_endorsementsCode = NULL,$_expirationDate = NULL,$_eyeColor = NULL,$_firstName = NULL,$_fullName = NULL,$_gender = NULL,$_hairColor = NULL,$_height = NULL,$_iIN = NULL,$_issueDate = NULL,$_issuedBy = NULL,$_jurisdictionCode = NULL,$_lastName = NULL,$_licenseNumber = NULL,$_middleName = NULL,$_namePrefix = NULL,$_nameSuffix = NULL,$_postalCode = NULL,$_race = NULL,$_restrictionCode = NULL,$_weightKG = NULL,$_weightLBS = NULL)
	{
		parent::__construct(array('Address1'=>$_address1,'Address2'=>$_address2,'Birthdate'=>$_birthdate,'City'=>$_city,'ClassificationCode'=>$_classificationCode,'Country'=>$_country,'CountryCode'=>$_countryCode,'EndorsementsCode'=>$_endorsementsCode,'ExpirationDate'=>$_expirationDate,'EyeColor'=>$_eyeColor,'FirstName'=>$_firstName,'FullName'=>$_fullName,'Gender'=>$_gender,'HairColor'=>$_hairColor,'Height'=>$_height,'IIN'=>$_iIN,'IssueDate'=>$_issueDate,'IssuedBy'=>$_issuedBy,'JurisdictionCode'=>$_jurisdictionCode,'LastName'=>$_lastName,'LicenseNumber'=>$_licenseNumber,'MiddleName'=>$_middleName,'NamePrefix'=>$_namePrefix,'NameSuffix'=>$_nameSuffix,'PostalCode'=>$_postalCode,'Race'=>$_race,'RestrictionCode'=>$_restrictionCode,'WeightKG'=>$_weightKG,'WeightLBS'=>$_weightLBS));
	}
	/**
	 * Get Address1 value
	 * @return string|null
	 */
	public function getAddress1()
	{
		return $this->Address1;
	}
	/**
	 * Set Address1 value
	 * @param string $_address1 the Address1
	 * @return string
	 */
	public function setAddress1($_address1)
	{
		return ($this->Address1 = $_address1);
	}
	/**
	 * Get Address2 value
	 * @return string|null
	 */
	public function getAddress2()
	{
		return $this->Address2;
	}
	/**
	 * Set Address2 value
	 * @param string $_address2 the Address2
	 * @return string
	 */
	public function setAddress2($_address2)
	{
		return ($this->Address2 = $_address2);
	}
	/**
	 * Get Birthdate value
	 * @return dateTime|null
	 */
	public function getBirthdate()
	{
		return $this->Birthdate;
	}
	/**
	 * Set Birthdate value
	 * @param dateTime $_birthdate the Birthdate
	 * @return dateTime
	 */
	public function setBirthdate($_birthdate)
	{
		return ($this->Birthdate = $_birthdate);
	}
	/**
	 * Get City value
	 * @return string|null
	 */
	public function getCity()
	{
		return $this->City;
	}
	/**
	 * Set City value
	 * @param string $_city the City
	 * @return string
	 */
	public function setCity($_city)
	{
		return ($this->City = $_city);
	}
	/**
	 * Get ClassificationCode value
	 * @return string|null
	 */
	public function getClassificationCode()
	{
		return $this->ClassificationCode;
	}
	/**
	 * Set ClassificationCode value
	 * @param string $_classificationCode the ClassificationCode
	 * @return string
	 */
	public function setClassificationCode($_classificationCode)
	{
		return ($this->ClassificationCode = $_classificationCode);
	}
	/**
	 * Get Country value
	 * @return string|null
	 */
	public function getCountry()
	{
		return $this->Country;
	}
	/**
	 * Set Country value
	 * @param string $_country the Country
	 * @return string
	 */
	public function setCountry($_country)
	{
		return ($this->Country = $_country);
	}
	/**
	 * Get CountryCode value
	 * @return string|null
	 */
	public function getCountryCode()
	{
		return $this->CountryCode;
	}
	/**
	 * Set CountryCode value
	 * @param string $_countryCode the CountryCode
	 * @return string
	 */
	public function setCountryCode($_countryCode)
	{
		return ($this->CountryCode = $_countryCode);
	}
	/**
	 * Get EndorsementsCode value
	 * @return string|null
	 */
	public function getEndorsementsCode()
	{
		return $this->EndorsementsCode;
	}
	/**
	 * Set EndorsementsCode value
	 * @param string $_endorsementsCode the EndorsementsCode
	 * @return string
	 */
	public function setEndorsementsCode($_endorsementsCode)
	{
		return ($this->EndorsementsCode = $_endorsementsCode);
	}
	/**
	 * Get ExpirationDate value
	 * @return dateTime|null
	 */
	public function getExpirationDate()
	{
		return $this->ExpirationDate;
	}
	/**
	 * Set ExpirationDate value
	 * @param dateTime $_expirationDate the ExpirationDate
	 * @return dateTime
	 */
	public function setExpirationDate($_expirationDate)
	{
		return ($this->ExpirationDate = $_expirationDate);
	}
	/**
	 * Get EyeColor value
	 * @return string|null
	 */
	public function getEyeColor()
	{
		return $this->EyeColor;
	}
	/**
	 * Set EyeColor value
	 * @param string $_eyeColor the EyeColor
	 * @return string
	 */
	public function setEyeColor($_eyeColor)
	{
		return ($this->EyeColor = $_eyeColor);
	}
	/**
	 * Get FirstName value
	 * @return string|null
	 */
	public function getFirstName()
	{
		return $this->FirstName;
	}
	/**
	 * Set FirstName value
	 * @param string $_firstName the FirstName
	 * @return string
	 */
	public function setFirstName($_firstName)
	{
		return ($this->FirstName = $_firstName);
	}
	/**
	 * Get FullName value
	 * @return string|null
	 */
	public function getFullName()
	{
		return $this->FullName;
	}
	/**
	 * Set FullName value
	 * @param string $_fullName the FullName
	 * @return string
	 */
	public function setFullName($_fullName)
	{
		return ($this->FullName = $_fullName);
	}
	/**
	 * Get Gender value
	 * @return string|null
	 */
	public function getGender()
	{
		return $this->Gender;
	}
	/**
	 * Set Gender value
	 * @param string $_gender the Gender
	 * @return string
	 */
	public function setGender($_gender)
	{
		return ($this->Gender = $_gender);
	}
	/**
	 * Get HairColor value
	 * @return string|null
	 */
	public function getHairColor()
	{
		return $this->HairColor;
	}
	/**
	 * Set HairColor value
	 * @param string $_hairColor the HairColor
	 * @return string
	 */
	public function setHairColor($_hairColor)
	{
		return ($this->HairColor = $_hairColor);
	}
	/**
	 * Get Height value
	 * @return string|null
	 */
	public function getHeight()
	{
		return $this->Height;
	}
	/**
	 * Set Height value
	 * @param string $_height the Height
	 * @return string
	 */
	public function setHeight($_height)
	{
		return ($this->Height = $_height);
	}
	/**
	 * Get IIN value
	 * @return string|null
	 */
	public function getIIN()
	{
		return $this->IIN;
	}
	/**
	 * Set IIN value
	 * @param string $_iIN the IIN
	 * @return string
	 */
	public function setIIN($_iIN)
	{
		return ($this->IIN = $_iIN);
	}
	/**
	 * Get IssueDate value
	 * @return dateTime|null
	 */
	public function getIssueDate()
	{
		return $this->IssueDate;
	}
	/**
	 * Set IssueDate value
	 * @param dateTime $_issueDate the IssueDate
	 * @return dateTime
	 */
	public function setIssueDate($_issueDate)
	{
		return ($this->IssueDate = $_issueDate);
	}
	/**
	 * Get IssuedBy value
	 * @return string|null
	 */
	public function getIssuedBy()
	{
		return $this->IssuedBy;
	}
	/**
	 * Set IssuedBy value
	 * @param string $_issuedBy the IssuedBy
	 * @return string
	 */
	public function setIssuedBy($_issuedBy)
	{
		return ($this->IssuedBy = $_issuedBy);
	}
	/**
	 * Get JurisdictionCode value
	 * @return string|null
	 */
	public function getJurisdictionCode()
	{
		return $this->JurisdictionCode;
	}
	/**
	 * Set JurisdictionCode value
	 * @param string $_jurisdictionCode the JurisdictionCode
	 * @return string
	 */
	public function setJurisdictionCode($_jurisdictionCode)
	{
		return ($this->JurisdictionCode = $_jurisdictionCode);
	}
	/**
	 * Get LastName value
	 * @return string|null
	 */
	public function getLastName()
	{
		return $this->LastName;
	}
	/**
	 * Set LastName value
	 * @param string $_lastName the LastName
	 * @return string
	 */
	public function setLastName($_lastName)
	{
		return ($this->LastName = $_lastName);
	}
	/**
	 * Get LicenseNumber value
	 * @return string|null
	 */
	public function getLicenseNumber()
	{
		return $this->LicenseNumber;
	}
	/**
	 * Set LicenseNumber value
	 * @param string $_licenseNumber the LicenseNumber
	 * @return string
	 */
	public function setLicenseNumber($_licenseNumber)
	{
		return ($this->LicenseNumber = $_licenseNumber);
	}
	/**
	 * Get MiddleName value
	 * @return string|null
	 */
	public function getMiddleName()
	{
		return $this->MiddleName;
	}
	/**
	 * Set MiddleName value
	 * @param string $_middleName the MiddleName
	 * @return string
	 */
	public function setMiddleName($_middleName)
	{
		return ($this->MiddleName = $_middleName);
	}
	/**
	 * Get NamePrefix value
	 * @return string|null
	 */
	public function getNamePrefix()
	{
		return $this->NamePrefix;
	}
	/**
	 * Set NamePrefix value
	 * @param string $_namePrefix the NamePrefix
	 * @return string
	 */
	public function setNamePrefix($_namePrefix)
	{
		return ($this->NamePrefix = $_namePrefix);
	}
	/**
	 * Get NameSuffix value
	 * @return string|null
	 */
	public function getNameSuffix()
	{
		return $this->NameSuffix;
	}
	/**
	 * Set NameSuffix value
	 * @param string $_nameSuffix the NameSuffix
	 * @return string
	 */
	public function setNameSuffix($_nameSuffix)
	{
		return ($this->NameSuffix = $_nameSuffix);
	}
	/**
	 * Get PostalCode value
	 * @return string|null
	 */
	public function getPostalCode()
	{
		return $this->PostalCode;
	}
	/**
	 * Set PostalCode value
	 * @param string $_postalCode the PostalCode
	 * @return string
	 */
	public function setPostalCode($_postalCode)
	{
		return ($this->PostalCode = $_postalCode);
	}
	/**
	 * Get Race value
	 * @return string|null
	 */
	public function getRace()
	{
		return $this->Race;
	}
	/**
	 * Set Race value
	 * @param string $_race the Race
	 * @return string
	 */
	public function setRace($_race)
	{
		return ($this->Race = $_race);
	}
	/**
	 * Get RestrictionCode value
	 * @return string|null
	 */
	public function getRestrictionCode()
	{
		return $this->RestrictionCode;
	}
	/**
	 * Set RestrictionCode value
	 * @param string $_restrictionCode the RestrictionCode
	 * @return string
	 */
	public function setRestrictionCode($_restrictionCode)
	{
		return ($this->RestrictionCode = $_restrictionCode);
	}
	/**
	 * Get WeightKG value
	 * @return string|null
	 */
	public function getWeightKG()
	{
		return $this->WeightKG;
	}
	/**
	 * Set WeightKG value
	 * @param string $_weightKG the WeightKG
	 * @return string
	 */
	public function setWeightKG($_weightKG)
	{
		return ($this->WeightKG = $_weightKG);
	}
	/**
	 * Get WeightLBS value
	 * @return string|null
	 */
	public function getWeightLBS()
	{
		return $this->WeightLBS;
	}
	/**
	 * Set WeightLBS value
	 * @param string $_weightLBS the WeightLBS
	 * @return string
	 */
	public function setWeightLBS($_weightLBS)
	{
		return ($this->WeightLBS = $_weightLBS);
	}
	/**
	 * Method called when an object has been exported with var_export() functions
	 * It allows to return an object instantiated with the values
	 * @see DLParserWsdlClass::__set_state()
	 * @uses DLParserWsdlClass::__set_state()
	 * @param array $_array the exported values
	 * @return DLParserStructDriverLicense
	 */
	public static function __set_state(array $_array,$_className = __CLASS__)
	{
		return parent::__set_state($_array,$_className);
	}
	/**
	 * Method returning the class name
	 * @return string __CLASS__
	 */
	public function __toString()
	{
		return __CLASS__;
	}
}
?>